package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.ast.expr.SQLIntegerExpr;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class SQLAlterTableDropSubpartition extends SQLObjectImpl implements SQLAlterTableItem {
   private List<SQLIntegerExpr> partitionIds = new ArrayList();
   private List<SQLIntegerExpr> subpartitionIds = new ArrayList();

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.partitionIds);
         this.acceptChild(visitor, this.subpartitionIds);
      }

      visitor.endVisit(this);
   }

   public List<SQLIntegerExpr> getPartitionIds() {
      return this.partitionIds;
   }

   public void setPartitionIds(List<SQLIntegerExpr> partitionIds) {
      this.partitionIds = partitionIds;
   }

   public List<SQLIntegerExpr> getSubpartitionIds() {
      return this.subpartitionIds;
   }

   public void setSubpartitionIds(List<SQLIntegerExpr> subpartitionIds) {
      this.subpartitionIds = subpartitionIds;
   }
}
